org.bouncycastle.asn1.nist

## Interface NISTObjectIdentifiers

    public interface NISTObjectIdentifiers

### Field Summary

Fields
`static java.lang.String` `aes`
`static DERObjectIdentifier` `dsa_with_sha224`
`static DERObjectIdentifier` `dsa_with_sha256`
`static DERObjectIdentifier` `dsa_with_sha384`
`static DERObjectIdentifier` `dsa_with_sha512`
`static DERObjectIdentifier` `id_aes128_CBC`
`static DERObjectIdentifier` `id_aes128_CCM`
`static DERObjectIdentifier` `id_aes128_CFB`
`static DERObjectIdentifier` `id_aes128_ECB`
`static DERObjectIdentifier` `id_aes128_GCM`
`static DERObjectIdentifier` `id_aes128_OFB`
`static DERObjectIdentifier` `id_aes128_wrap`
`static DERObjectIdentifier` `id_aes192_CBC`
`static DERObjectIdentifier` `id_aes192_CCM`
`static DERObjectIdentifier` `id_aes192_CFB`
`static DERObjectIdentifier` `id_aes192_ECB`
`static DERObjectIdentifier` `id_aes192_GCM`
`static DERObjectIdentifier` `id_aes192_OFB`
`static DERObjectIdentifier` `id_aes192_wrap`
`static DERObjectIdentifier` `id_aes256_CBC`
`static DERObjectIdentifier` `id_aes256_CCM`
`static DERObjectIdentifier` `id_aes256_CFB`
`static DERObjectIdentifier` `id_aes256_ECB`
`static DERObjectIdentifier` `id_aes256_GCM`
`static DERObjectIdentifier` `id_aes256_OFB`
`static DERObjectIdentifier` `id_aes256_wrap`
`static DERObjectIdentifier` `id_dsa_with_sha2`
`static DERObjectIdentifier` `id_sha224`
`static DERObjectIdentifier` `id_sha256`
`static DERObjectIdentifier` `id_sha384`
`static DERObjectIdentifier` `id_sha512`
`static java.lang.String` `nistAlgorithm`

### Field Detail

#### nistAlgorithm

    static final java.lang.String nistAlgorithm

See Also:
  Constant Field Values

#### id_sha256

    static final DERObjectIdentifier id_sha256

#### id_sha384

    static final DERObjectIdentifier id_sha384

#### id_sha512

    static final DERObjectIdentifier id_sha512

#### id_sha224

    static final DERObjectIdentifier id_sha224

#### aes

    static final java.lang.String aes

See Also:
  Constant Field Values

#### id_aes128_ECB

    static final DERObjectIdentifier id_aes128_ECB

#### id_aes128_CBC

    static final DERObjectIdentifier id_aes128_CBC

#### id_aes128_OFB

    static final DERObjectIdentifier id_aes128_OFB

#### id_aes128_CFB

    static final DERObjectIdentifier id_aes128_CFB

#### id_aes128_wrap

    static final DERObjectIdentifier id_aes128_wrap

#### id_aes128_GCM

    static final DERObjectIdentifier id_aes128_GCM

#### id_aes128_CCM

    static final DERObjectIdentifier id_aes128_CCM

#### id_aes192_ECB

    static final DERObjectIdentifier id_aes192_ECB

#### id_aes192_CBC

    static final DERObjectIdentifier id_aes192_CBC

#### id_aes192_OFB

    static final DERObjectIdentifier id_aes192_OFB

#### id_aes192_CFB

    static final DERObjectIdentifier id_aes192_CFB

#### id_aes192_wrap

    static final DERObjectIdentifier id_aes192_wrap

#### id_aes192_GCM

    static final DERObjectIdentifier id_aes192_GCM

#### id_aes192_CCM

    static final DERObjectIdentifier id_aes192_CCM

#### id_aes256_ECB

    static final DERObjectIdentifier id_aes256_ECB

#### id_aes256_CBC

    static final DERObjectIdentifier id_aes256_CBC

#### id_aes256_OFB

    static final DERObjectIdentifier id_aes256_OFB

#### id_aes256_CFB

    static final DERObjectIdentifier id_aes256_CFB

#### id_aes256_wrap

    static final DERObjectIdentifier id_aes256_wrap

#### id_aes256_GCM

    static final DERObjectIdentifier id_aes256_GCM

#### id_aes256_CCM

    static final DERObjectIdentifier id_aes256_CCM

#### id_dsa_with_sha2

    static final DERObjectIdentifier id_dsa_with_sha2

#### dsa_with_sha224

    static final DERObjectIdentifier dsa_with_sha224

#### dsa_with_sha256

    static final DERObjectIdentifier dsa_with_sha256

#### dsa_with_sha384

    static final DERObjectIdentifier dsa_with_sha384

#### dsa_with_sha512

    static final DERObjectIdentifier dsa_with_sha512